
Redmine - Defect #32923

Rails 6: detach attachments when a conflict occurs

2020-01-30 01:00 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes

Failure:

IssuesControllerTransactionTest#test_update_stale_issue_should_save_attachments [/redmine/test/fun

ctional/issues_controller_transaction_test.rb:122]:

Expected at least 1 element matching "input[name="attachments[p0][token]"][value="56.6bc2eb7e87cfb

f9145065689aaa8b5f513089ca0af68e2dc41f9cc025473d106"]", found 0..

Expected 0 to be >= 1.

rails test test/functional/issues_controller_transaction_test.rb:89

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20894 - 2021-04-01 17:25 - Go MAEDA

Fix detach attachments when a conflict occurs (#29914, #32923).

Patch by Pavel Rosický.

History

#1 - 2020-01-30 08:20 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support

#3 - 2021-03-30 18:31 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#4 - 2021-04-01 17:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #29914.

Files

issues_controller.rb.patch 483 Bytes 2020-01-29 Pavel Rosický
